


var loadedPages;
function loadEmoKB(path){
    loadedPages=0;
    generateFrame(1, 189, 1, path);
    generateFrame(190, 305, 2, path);
    generateFrame(306, 535, 3, path);
    generateFrame(536, 636, 4, path);
    generateFrame(637, 843, 5, path);
}

var c1v, c2v, c3v, c4v, c5v;
function generateFrame(min, max, folder, path){
    var c = document.createElement('canvas');
    switch(folder){
        case 1: c1v = c; break;
        case 2: c2v = c; break;
        case 3: c3v = c; break;
        case 4: c4v = c; break;
        case 5: c5v = c; break;
    }

    var emoQuantity = max - min;
    var windowWidth = 320;
    var pixelsByEmo = 35;
    var pad = 5;
    var columnsQuantity = Math.round(windowWidth / pixelsByEmo);
    var rows = Math.floor(emoQuantity / columnsQuantity) + 1;
    var pageHeight = rows * (pixelsByEmo + pad) - pad;
    c.setAttribute('height', pageHeight.toString() );
    c.setAttribute('width',(columnsQuantity * pixelsByEmo).toString());
    var ctx = c.getContext("2d");

    var total= min - 1;
    var top = max+1;
    for(var i=min; i<=top; i++){
        var img = document.createElement('img');
        img.onload = function(){
            total++;

            if(parseInt(total)<parseInt(top)){
                var mySrc = this.src.split('/');
                var num = mySrc[mySrc.length - 1].split('.')[0] - min;
                var coor_x = ((num % columnsQuantity) * pixelsByEmo ) + pad;
                var y_line = Math.floor(num / columnsQuantity);
                var coor_y = y_line * (pixelsByEmo + pad);
                ctx.drawImage(this, coor_x, coor_y, 25, 25);
            }

            if(parseInt(total)==parseInt(top)){
                switch(folder){
                    case 1: setTimeout(processC1V,3000);break;
                    case 2: setTimeout(processC2V,3000);break;
                    case 3: setTimeout(processC3V,3000);break;
                    case 4: setTimeout(processC4V,3000);break;
                    case 5: setTimeout(processC5V,3000);break;
                }
            }

        }
        var digits = (i<10?'0':'') + (i<100?'0':'') + i;
        img.src = path + '/emos/emo' + folder + '/' + digits + '.png';
    }
}

var frame1 = null;
function processC1V(){
    var dataURL = c1v.toDataURL();
    frame1 = dataURL;
    sendFrames();
}

var frame2 = null;
function processC2V(){
    var dataURL = c2v.toDataURL();
    frame2 = dataURL;
    sendFrames();
}

var frame3 = null;
function processC3V(){
    var dataURL = c3v.toDataURL();
    frame3 = dataURL;
    sendFrames();
}

var frame4 = null;
function processC4V(){
    var dataURL = c4v.toDataURL();
    frame4 = dataURL;
    sendFrames();
}

var frame5 = null;
function processC5V(){
    var dataURL = c5v.toDataURL();
    frame5 = dataURL;
    sendFrames();
}

function sendFrames(){
    if(frame1 != null && frame2 != null  && frame3 != null && frame4 != null && frame5 != null){
        var frames = [];
        frames.push(frame1);
        frames.push(frame2);
        frames.push(frame3);
        frames.push(frame4);
        frames.push(frame5);
        document.getElementById('emoFrame').contentWindow.loadKeyBoard(frames);
    }
}